# Uses of Class
org.apache.sysds.runtime.lineage.LineageDedupBlock

Packages that use LineageDedupBlock
Package
Description
org.apache.sysds.runtime.lineage

## Uses of LineageDedupBlock in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage that return LineageDedupBlock
Modifier and Type
Method
Description
`static LineageDedupBlock`
LineageDedupUtils.`computeDedupBlock(ProgramBlock fpb, ExecutionContext ec)`
`static LineageDedupBlock`
LineageDedupUtils.`initializeDedupBlock(ProgramBlock fpb, ExecutionContext ec)`
Methods in org.apache.sysds.runtime.lineage that return types with arguments of type LineageDedupBlock
Modifier and Type
Method
Description
`Map<ProgramBlock,LineageDedupBlock>`
Lineage.`getDedupBlocks()`
Methods in org.apache.sysds.runtime.lineage with parameters of type LineageDedupBlock
Modifier and Type
Method
Description
`void`
Lineage.`setDedupBlock(LineageDedupBlock ldb)`
`static Map<String,Integer>`
LineageDedupUtils.`setDedupMap(LineageDedupBlock ldb, long takenPath)`
`void`
Lineage.`setInitDedupBlock(LineageDedupBlock ldb)`
`static void`
LineageDedupUtils.`setNewDedupPatch(LineageDedupBlock ldb, ProgramBlock fpb, ExecutionContext ec)`